Bug 110007 - No way to specify ISOs once installed
No way to specify ISOs once installed
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2003-11-13 16:36 EST by Miro Halas
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-11-21 17:37:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Miro Halas 2003-11-13 16:36:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
I have computer with no CD ROM or internal floppy drive.
I copied ISO's on the hardrive and boot from external USB floppy from 

Once fedora is installed I want to install sapdb from rpm. 
THe installer asks me to insert Fedora's 3rd cd into my cdrom drive 
which I don't even have. I need a way how to direct it to ISOs on my 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. See summary

Additional info:
Comment 1 Jeff Johnson 2003-11-21 07:54:55 EST
You can use the loopback file system to mount an ISO if
you don't have a CDROM. Sorry, I don't know the options
of the top of my head, start by reading the man page for mount.
Comment 2 Miro Halas 2003-11-21 10:26:45 EST
I think this is still a major USABILITY bug. I as a non expert user 
would expect to get a dialog which either allows me to point it to 
the directory (the Windows does) or and ISO file and do all the rest 
for me. There is now reason why a user installing Fedora from ISOs 
should know how to mount them as CDROM.
Comment 3 Jeff Johnson 2003-11-21 17:37:52 EST
Why "mahor"? Most users have a CDROM, and loopback mounts
work for the small minority of users like you that do not.
Comment 4 Miro Halas 2003-12-01 17:06:18 EST
Well it is my opinion, you don't have to fix it if you don't feel 
like it. I am experienced developer but not experienced Unix 
administrator. Until I found this problem I had no idea about 
loopback mounts. What I knew was that in Windows if it wants to 
install anything it allows me to specify location. Thats it, thats 
the simple thing I would expect from the OS. I would also don't 
expect it to ask me for CDROM if I don't have it ;-). To me it is 
inconsistency, the setup allows you to specify ISOs so you can 
install the OS but then you are on your own. Even if I do have CDROM, 
I don't want to juggle the disks all the time (or give them to my 
customers). I would rather copy the files on the harddrives so they 
have them anytime they need them. Disk is cheap. I don't expect them 
to know (lots of them are computer illiterate) how to do the loopback 
mount or even to go to commandline. But they know how to browse the 
disk and find the file I point them to. Anyway, it is just my 
opinion, take it for what it is worth.
Comment 5 Miro Halas 2003-12-05 16:32:06 EST
By the way, I did try it. I loopback mounted the ISO image but it 
doens't find it. Whats worse, once I canceled the install because of 
failed dependencies and no cdrom, it still thing the package is 
installed and all around my disk are files from the package. So I do 
think this is a problem.

Note You need to log in before you can comment on or make changes to this bug.